%define upstream_name    Dist-Zilla-Plugin-CoalescePod
%define upstream_version 0.2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Merge .pod files into their .pm counterparts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
If the files _Foo.pm_ and _Foo.pod_ both exist, the content of the pod file
is appended at the end of the '.pm', and the pod file is removed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE SIGNATURE INSTALL META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 530272
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 0.2.1-1.mga4
+ Revision: 456982
- update to 0.2.1

* Mon Jul 15 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 454694
- update to 0.2.0

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 267211
- imported package perl-Dist-Zilla-Plugin-CoalescePod


* Wed Jul 04 2012 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
